# core/console.py
#
#

""" basic package for the program. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.defaults import cfg_irc, cfg_xmpp
from core.defines import BLA, GREEN, ENDC, pfc
from core.utils import short_date
from core.bot import Bot

from core.object import Object
from core.kernel import cfg

import time
import sys

## CONSOLE

class ConsoleBot(Bot):

    """ bot running on the console. """

    def _raw(zelf, *args, **kwargs): zelf.echo(*args, **kwargs)

    def get_prompt(zelf, *args, **kwargs):
        return "%s %s<%s " % (short_date(time.ctime(time.time())).split()[1], GREEN, ENDC)
 
    def get_event(zelf, *args, **kwargs):
        o = Object()
        if not cfg.shell: in_txt =  " ".join(cfg.runargs) ; zelf._status.status = "once"
        else:  in_txt = input(zelf.get_prompt())
        sys.stdout.flush()
        zelf._state.input = time.time()
        o.txt = in_txt
        o._target = zelf
        return o

    def announce(zelf, *args, **kwargs): zelf._raw(args[0])
