# core/kernel.py
#
#

""" basic package for the program. """

__copyright__ = "Copyright 2014 B.H.J Thate"
__all__ = ["plugs", "services", "bots", "cmnds", "ctrl", "workers", "run", "cfg"]

## IMPORTS

from core.dispatch import Dispatcher
from core.plugins import Plugins
from core.object import Object
from core.defaults import cfg_kernel

import logging
import os

## RUNTIME

plugs = Plugins()
services = Plugins()
bots = Plugins()
cmnds = Dispatcher()
ctrl = Dispatcher()
workers = Dispatcher()
run = Object()
cfg = Object(cfg_kernel)
fleet = []

## SHUTDOWN

def shutdown(*args, **kwargs):
    """ close the program in a appropiate manner. """
    if cfg.shell: print("") ; logging.warn("exit") 
    os._exit(0)
