# core/plugs/find.py
#
#

""" show all attributes with a value present. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import format, txt_parse, b_time

import threading
import logging
import time
import re

## CMNDS

def find(event):
    nr = 1
    parsed = event.get_parsed()
    objs = event.selected(parsed)
    for obj in sorted(objs, key=lambda x: x.get_timed()):
       event.reply(format(obj, nr=nr, keys=parsed.args))
       nr += 1

## INIT

def init(*args, **kwargs):
    from core.kernel import cmnds
    cmnds.register("find", find)
