# core/plugs/first.py
#
#

""" first record found. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import txt_parse, format

## COMMANDS

def first(event):
    rest = event.get_rest()
    obj = event.first("ctype", rest)
    if obj: event.reply(obj.to_json())

## INIT

def init(*args, **kwargs):
    from core.kernel import cmnds
    cmnds.register("first", first)
