# core/plugs/kernel.py
#
#

""" make a kernel dump. """

## IMPORTS

from core.object import Object
from core import kernel

## CMNDS

def kern(event):
    o = Object()
    for name in kernel.__all__:
         obj = getattr(kernel, name)
         o[name] = obj
    event.reply(o.pretty())

## INIT

def init(*args, **kwargs):
    from core.kernel import ctrl
    ctrl.register("kernel", kern)
