# core/plugs/cfg.py
#
#

""" edit. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import txt_parse, format

import core.defaults
import core

# CMNDS

def cfg(event):
    rest = event.get_rest()
    parsed = event.get_parsed()
    from core.kernel import cfg
    obj = cfg
    if parsed.args:
        ctype = parsed.args[0]
        obj = cfg.last("ctype", ctype)
        if not obj:
            try: obj = getattr(core.defaults, ctype)
            except AttributeError: pass
    try: 
        key = parsed.args[1]
        value = parsed.args[2]
        if key in obj: obj[key] = value ; obj.sync()
    except IndexError: pass
    if obj: event.reply("\n".join(obj.show()))

## INIT

def init(*args, **kwargs):
    from core import kernel
    kernel.cmnds.register("cfg", cfg)
