# core/plugs/rm.py
#
#

""" remove. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import txt_parse

import logging

## CMNDS

def remove(event):
    rest = event.get_rest()
    parsed = txt_parse(rest)
    try: key, match = parsed.args
    except ValueError: return
    nr = 0
    for obj in kernel.objects():
       if key not in obj: continue
       if match not in obj[key]: continue
       obj.deleted = True
       obj.sync()
       nr += 1
    event.ok(nr)

## INIT

def init(*args, **kwargs):
    from core import kernel
    kernel.cmnds.register("rm", remove)
