# core/plugs/timer.py
#
#

""" time the timing. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import get_day, get_hour, today, short_date
from core.object import Object
from core.looper import Timer
from core.kernel import fleet

import datetime
import threading
import logging
import time

## CMNDS

def timer(event):
    from core.kernel import run
    rest = event.get_rest()
    target = today() + get_day(rest) + get_hour(rest)
    event.reply("time detected: %s" % short_date(time.ctime(target)))
    run.timer = Timer(target, event)
    run.timer.start()
    event.ok()

## INIT

def init(*args, **kwargs):
    from core.kernel import cmnds
    cmnds.register("timer", timer)
