# core/plugs/uptime.py
#
#

""" regen, regen. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import get_uptime, get_name
from core.kernel import fleet, run, workers, cmnds, ctrl


## CMNDS

def uptime(event):
    for bot in fleet:
        txt = get_uptime(bot)
        event.reply("%s: %s" % (get_name(bot), txt))
    for thing in run.values():
        if not thing: continue
        txt = get_uptime(thing)
        event.reply("%s: %s" % (get_name(thing), txt))
    for runner in workers._runners:
        txt = get_uptime(runner)
        event.reply("%s: %s" % (runner.name, txt))
    for runner in cmnds._runners:
        txt = get_uptime(runner)
        event.reply("%s: %s" % (runner.name, txt))
    for runner in ctrl._runners:
        txt = get_uptime(runner)
        event.reply("%s: %s" % (runner.name, txt))

## INIT

def init(*args, **kwargs):
    from core.kernel import ctrl
    ctrl.register("uptime", uptime)
